GETDOMAINNAME(3)

NAME
getdomainname, setdomainname - get/set domain name of current host

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
int
getdomainname(char *name, size_t namelen);
int
setdomainname(const char *name, size_t namelen);

DESCRIPTION
getdomainname() returns the standard domain name for the current host, as previously set by setdomainname(). The parameter namelen specifies the size of the name array. The returned name is null-terminated unless insufficient space is provided.

setdomainname() sets the domain name of the host machine to be name, which has length namelen. This call is restricted to the super-user and is normally used only when the system is bootstrapped.

RETURN VALUES
If the call succeeds a value of 0 is returned. If the call fails, a value of -1 is returned and an error code is placed in the global location errno.

ERRORS
The following errors may be returned by these calls:

[EFAULT]
    The name or namelen parameter gave an invalid address.

[EPERM]
    The caller tried to set the domain name and was not the super-user.

SEE ALSO
gethostid(3), gethostname(3), sysctl(3)

HISTORY
The getdomainname function call appeared in 4.2BSD.

BUGS
Domain names are limited to MAXHOSTNAMELEN (from <sys/param.h>) characters including null-termination, currently 256.